Subject: Re: bug#32850: 27.0.50; window-swap-states doesn't swap window prev/next-buffers

From: Juri Linkov <[email-masked]>
Date: Tue, 09 Oct 2018 01:41:31 +0300

> So far I'm missing you.  How would you define consistency in this
> context?

The root of the problem is not in window-swap-states, it's in
window-state-get that it it relies upon.  For a long time I have
been using a package that keeps a list of window-configurations
and switches between them in the same frame.  But the problem
is that we have no serialization for window-configurations, so
no way to save in the desktop file and restore in another session.

With the invention of window-state-get I tried to replace all calls
of current-window-configuration with window-state-get (and
set-window-configuration with window-state-put), and it worked
perfectly (saved and restored serialized window-configurations
in the desktop file), but still the problem that prevents its use
is that it doesn't store prev/next-buffers that is a very important
feature.